﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Stimulsoft.Report.BarCodes;

namespace StimulsoftWpfApplication
{
    public class Document
    {
        public string Name { get; set; }
        public Item Item { get; set; }
        
        public Document() { }
        public Document(string name)
        {
            Name = name;
        }       
    }

    public class Item
    {
        public string Name { get; set; }
        public int Id { get; set; }
        public decimal Value { get; set; }

        public Item(string name, int id, decimal value)
        {
            Name = name;
            Id = id;
            Value = value;
        }
    }
}
