﻿using System.Collections.Generic;
using System.Windows;
using Stimulsoft.Report;

namespace StimulsoftWpfApplication
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private List<Document> Documents = new List<Document>();

        private void FillData()
        {            
            for (int i = 1; i < 5; i++) 
            {
                Document doc = new Document("Document" + i);

                doc.Item = new Item("item" + i, i, i * 2);

                Documents.Add(doc);  
            }                     
        }

        private void butDesign_Click(object sender, RoutedEventArgs e)
        {           
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");

            if (Documents.Count == 0)
                FillData();

            r.RegBusinessObject("Documents", Documents);

            r.DesignWithWpf();
        }

        private void butShow_Click(object sender, RoutedEventArgs e)
        {            
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");

            if (Documents.Count == 0)
                FillData();
            
            r.RegBusinessObject("Documents", Documents);
                       
            r.ShowWithWpf();
        }       
    }
}
